Bug 1739807 - Review Request: cpu-x - Gathers information on CPU, motherboard and more
Summary: Review Request: cpu-x - Gathers information on CPU, motherboard and more
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-10 18:12 UTC by Artem
Modified: 2019-11-24 01:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-16 00:23:28 UTC
Type: Bug
vascom2: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-08-10 18:12:33 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/cpu-x/fedora-30-x86_64/00997371-cpu-x/cpu-x.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/cpu-x/fedora-30-x86_64/00997371-cpu-x/cpu-x-3.2.4-2.20190806git11158d2.fc30.src.rpm

Description:
Free software that gathers information on CPU, motherboard and more.

CPU-X is similar to CPU-Z (Windows), but CPU-X is a Free and Open Source
software designed for GNU/Linux; also, it works on *BSD.

This software is written in C and built with CMake tool. It can be used in
graphical mode by using GTK or in text-based mode by using NCurses. A dump mode
is present from command line.

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/cpu-x/

Comment 1 Elliott Sales de Andrade 2019-08-13 02:09:39 UTC
There isn't really a need for separate completions subpackages. You can keep the files in the main package, and just %dir the paths that would come from the fish or zsh packages. There's no longer any issue with multiple packages owning a directory so long as the permissions are the same.

Comment 2 Igor Raits 2019-08-13 15:16:13 UTC
Agree with Elliott, don't create subpackages. Just own directories. For example, https://src.fedoraproject.org/rpms/rust-ripgrep/blob/master/f/rust-ripgrep.spec#_42

* I believe that spec is missing BuildRequires: gettext-devel
* Missing BuildRequires: pkgconfig(json-c)
* I think you need to unbundle dmidecode and bandwidth (both seem to be GPLv2+, so at least declare bundled provides)
* BuildRequires:  pkgconfig(libarchive) does not seem to be needed

> BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0

> BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)

> BuildRequires:  pkgconfig(libcpuid)
BuildRequires:  pkgconfig(libcpuid) >= 0.4.0

> Requires:       polkit%{?_isa}
This is not really needed, you are fine with just owning appropriate directories (so that there are no dangling dirs on a removal).

> %{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/%{name}

Comment 3 Igor Raits 2019-08-13 15:17:23 UTC
> pushd build
> %make_install
> popd

%make_install -C build

> appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml
> desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

This should go in the %check section

Comment 4 Artem 2019-08-14 05:11:51 UTC
Thank you. Fixed. Filed bug in upstream about bundled modules. But i still don't understand how handle correctly polkit. It seems to be optional dependency and we can make it as 'Recommends' but should i own '/usr/share/polkit-1' in this case or not?

Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/cpu-x/fedora-30-x86_64/00999774-cpu-x/cpu-x.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/cpu-x/fedora-30-x86_64/00999774-cpu-x/cpu-x-3.2.4-4.20190806git11158d2.fc30.src.rpm

Comment 5 Igor Raits 2019-08-14 05:14:33 UTC
(In reply to Artem from comment #4)
> Thank you. Fixed. Filed bug in upstream about bundled modules. But i still
> don't understand how handle correctly polkit. It seems to be optional
> dependency and we can make it as 'Recommends' but should i own
> '/usr/share/polkit-1' in this case or not?

Don't make it Recommends. Just drop it. And yes, you need to own the directory.

Comment 8 Igor Raits 2019-08-14 05:36:05 UTC
> > BuildRequires:  pkgconfig(ncurses)
> BuildRequires:  pkgconfig(ncursesw)

is still not fixed.

> Requires:       %{name}%{?_isa} = %{version}-%{release}

won't work since package is noarch. Also I don't see any reason to create -data subpackage.

Comment 9 Artem 2019-08-14 05:56:09 UTC
(In reply to Igor Gnatenko from comment #8)
> Also I don't see any reason to create -data subpackage.

[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2160640 bytes in /usr/share

Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/cpu-x/fedora-30-x86_64/01000631-cpu-x/cpu-x.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/cpu-x/fedora-30-x86_64/01000631-cpu-x/cpu-x-3.2.4-7.20190806git11158d2.fc30.src.rpm

Comment 10 Elliott Sales de Andrade 2019-08-14 08:43:55 UTC
(In reply to Igor Gnatenko from comment #2)
> %dir %{_datadir}/bash-completion
> %dir %{_datadir}/bash-completion/completions

These two are owned by filesystem; I don't think you need to own them (though it doesn't hurt anything).

Comment 11 Artem 2019-08-14 16:59:07 UTC
As for bundled libs please check this:
https://github.com/X0rg/CPU-X/issues/105#issuecomment-521301414

Comment 12 Vasiliy Glazov 2019-11-13 07:15:49 UTC
1. Instead cd build use pushd/popd.

2. appstream-util validate-relax and desktop-file-validate should be in %check section.

3. If it has bundled libs or components present in Fedora it must be described as Provides: bundled() = version.
It is needed to simple track outdated bundled software.

Comment 16 Vasiliy Glazov 2019-11-14 07:08:11 UTC
You forgot to remove upstream build flags.

Comment 18 Vasiliy Glazov 2019-11-14 12:05:01 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/cpu-x(set, C,
     defaulting, to, locale,, Failed), /usr/share/bash-completion(pbuilder,
     python3-catkin_tools, lxc, zypper, glib2, breezy, tio, subversion,
     ModemManager, libmbim, mtr, exa, driverctl, docopt, bodhi-client,
     buildah, task, lightdm, fd-find, plowshare, set, falkon, beaker-
     client, exercism, skopeo, Failed, gpaste, filesystem, etckeeper, ldc,
     bash-completion, git-annex, dconf-editor, docker-compose, gammu,
     flatpak, toolbox, rpmdevtools, licensecheck, defaulting, zeitgeist,
     fedmod, cowsay, yadifa, eg, why3, darcs, libqmi, devscripts-
     checkbashisms, swaylock, yadifa-tools, python3-trezor, datamash,
     mercurial, nitrokey-app, swayidle, devscripts, git-core, kmod, C,
     skim, rkt, ethtool, rtags, source-highlight, the_silver_searcher, to,
     cmake-data, restic, rpmlint, policycoreutils, ripgrep, zola, clevis,
     bubblewrap, sway, chocolate-doom, python-django-bash-completion, unar,
     vagrant, maven, lxi-tools, reprepro, pdfgrep, tracker, calf, nnn,
     fedpkg, stratis-cli, dnf, locale,, clufter-cli), /usr/share/bash-
     completion/completions(pbuilder, python3-catkin_tools, lxc, zypper,
     glib2, breezy, tio, subversion, opensc, coccinelle-bash-completion,
     ModemManager, libmbim, mtr, kompose, firejail, exa, driverctl, docopt,
     bodhi-client, lastpass-cli, buildah, python3-pip, task, lightdm, fd-
     find, plowshare, set, falkon, beaker-client, GMT-common, exercism,
     skopeo, Failed, gpaste, filesystem, etckeeper, ldc, bash-completion,
     git-annex, dconf-editor, docker-compose, gammu, minipro, flatpak,
     toolbox, rpmdevtools, licensecheck, libappstream-glib, defaulting,
     firewalld, zeitgeist, fedmod, cowsay, yadifa, eg, why3, xss-lock,
     ndctl, libqmi, devscripts-checkbashisms, swaylock, yadifa-tools,
     python3-trezor, datamash, gtatool, mercurial, nitrokey-app, swayidle,
     nbdkit-bash-completion, devscripts, git-core, kmod, C, skim, rkt,
     ethtool, rtags, source-highlight, the_silver_searcher, to, cmake-data,
     restic, rpmlint, ripgrep, zola, clevis, bubblewrap, libguestfs-bash-
     completion, sway, chocolate-doom, python-django-bash-completion, unar,
     vagrant, maven, lxi-tools, reprepro, pdfgrep, tracker, tig, calf, nnn,
     fedpkg, dnf, stratis-cli, locale,, clufter-cli),
     /usr/share/doc/cpu-x(set, C, defaulting, to, locale,, Failed),
     /usr/share/fish(ripgrep, ocrmypdf, zola, swaylock, sway, docker-
     compose, exa, swayidle, C, defaulting, locale,, fish, task, fd-find,
     set, fedmod, to, exercism, Failed),
     /usr/share/fish/vendor_completions.d(fd-find, docker-compose, ripgrep,
     moby-engine-fish-completion, ocrmypdf, zola, set, C, defaulting,
     fedmod, to, exa, locale,, Failed), /usr/share/licenses/cpu-x(set, C,
     defaulting, to, locale,, Failed), /usr/share/polkit-1(meson, set, C,
     defaulting, polkit, to, needrestart, locale,, Failed),
     /usr/share/polkit-1/actions(meson, set, C, defaulting, polkit, to,
     needrestart, locale,, Failed), /usr/share/zsh(gpaste, vcsh, ripgrep,
     zola, python3-wstool, swaylock, exercism, pulseaudio, sway, docker-
     compose, curl, zsh, mercurial, exa, swayidle, ninja-build, mako, C,
     defaulting, reprepro, creds, skim, pdfgrep, task, fd-find, set,
     fedmod, libinput, stratis-cli, to, why3, xss-lock, osmium-tool,
     locale,, Failed), /usr/share/zsh/site-functions(gpaste, xpanes, vcsh,
     ripgrep, zola, python3-wstool, swaylock, podman, exercism, pulseaudio,
     sway, docker-compose, curl, zsh, mercurial, kompose, awscli, flatpak,
     exa, googler, swayidle, lastpass-cli, ninja-build, mako, imgp, C,
     defaulting, firewalld, creds, reprepro, skim, pdfgrep, task, ddgr, fd-
     find, khard, buku, nnn, set, libinput, arch-install-scripts, stratis-
     cli, fzf, to, why3, xss-lock, osmium-tool, restic, locale,, Failed)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cpu-x-
     data
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cpu-x-3.2.4-4.20191114gitfa0fe58.fc32.x86_64.rpm
          cpu-x-data-3.2.4-4.20191114gitfa0fe58.fc32.noarch.rpm
          cpu-x-debuginfo-3.2.4-4.20191114gitfa0fe58.fc32.x86_64.rpm
          cpu-x-debugsource-3.2.4-4.20191114gitfa0fe58.fc32.x86_64.rpm
          cpu-x-3.2.4-4.20191114gitfa0fe58.fc32.src.rpm
cpu-x.x86_64: W: no-manual-page-for-binary cpu-x
cpu-x-data.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cpu-x-debuginfo-3.2.4-4.20191114gitfa0fe58.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
cpu-x-debugsource.x86_64: W: invalid-url URL: https://github.com/X0rg/CPU-X <urlopen error [Errno -2] Name or service not known>
cpu-x.x86_64: W: invalid-url URL: https://github.com/X0rg/CPU-X <urlopen error [Errno -2] Name or service not known>
cpu-x.x86_64: W: no-manual-page-for-binary cpu-x
cpu-x-debuginfo.x86_64: W: invalid-url URL: https://github.com/X0rg/CPU-X <urlopen error [Errno -2] Name or service not known>
cpu-x-data.noarch: W: invalid-url URL: https://github.com/X0rg/CPU-X <urlopen error [Errno -2] Name or service not known>
cpu-x-data.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://github.com/X0rg/CPU-X/archive/fa0fe58a107616cb4db5a4e5d605cfafdfa75597/cpu-x-3.2.4.20191114gitfa0fe58.tar.gz :
  CHECKSUM(SHA256) this package     : bc79a33b24f569ba3b6a2771c997e0ad795d3892b8bb772c6331547104ce7e09
  CHECKSUM(SHA256) upstream package : bc79a33b24f569ba3b6a2771c997e0ad795d3892b8bb772c6331547104ce7e09


Requires
--------
cpu-x (rpmlib, GLIBC filtered):
    cpu-x-data
    hicolor-icon-theme
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcpuid.so.14()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libncursesw.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpci.so.3()(64bit)
    libpci.so.3(LIBPCI_3.0)(64bit)
    libpci.so.3(LIBPCI_3.5)(64bit)
    libprocps.so.7()(64bit)
    libprocps.so.7(LIBPROCPS_0)(64bit)
    libpthread.so.0()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)

cpu-x-data (rpmlib, GLIBC filtered):
    cpu-x

cpu-x-debuginfo (rpmlib, GLIBC filtered):

cpu-x-debugsource (rpmlib, GLIBC filtered):



Provides
--------
cpu-x:
    application()
    application(cpu-x.desktop)
    bundled(bandwidth)
    bundled(dmidecode)
    cpu-x
    cpu-x(x86-64)
    metainfo()
    metainfo(cpu-x.appdata.xml)

cpu-x-data:
    cpu-x-data

cpu-x-debuginfo:
    cpu-x-debuginfo
    cpu-x-debuginfo(x86-64)
    debuginfo(build-id)

cpu-x-debugsource:
    cpu-x-debugsource
    cpu-x-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1739807
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Python, Haskell, Ocaml, Java, SugarActivity, PHP, R, fonts, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 19 Gwyn Ciesla 2019-11-14 19:03:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/cpu-x

Comment 20 Fedora Update System 2019-11-15 11:13:49 UTC
FEDORA-2019-fda6be8796 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fda6be8796

Comment 21 Fedora Update System 2019-11-15 11:18:17 UTC
FEDORA-2019-6a15286d79 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a15286d79

Comment 22 Fedora Update System 2019-11-16 00:23:28 UTC
cpu-x-3.2.4-5.20191114gitfa0fe58.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-11-16 00:53:58 UTC
cpu-x-3.2.4-5.20191114gitfa0fe58.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a15286d79

Comment 24 Fedora Update System 2019-11-24 01:14:48 UTC
cpu-x-3.2.4-5.20191114gitfa0fe58.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.